Subject: bug#22554: 24.5; enriched-mode: C-S-a/S-Home doesn't mark to beginning of line

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 17:59:45 +0100

Travis Evans <[email-masked]> writes:

> After launching Emacs with ‘emacs -Q’, typing “C-x b newbuffer M-x
> enriched-mode”, then “||abcdefgfoo” followed by C-S-a or S-<Home>,
> point returns to the ‘a’ with nothing highlighted.

(I'm going through old bug reports that unfortunately got little
response at the time.)

`C-S-a' is not supposed to highlight anything, so I don't quite
understand that point of the bug report.

It also takes me to the beginning of the line, so I'm not able to
reproduce that bit.  However, `C-a' does put point after the "||"...

I'm not very familiar with enriched mode...  does the language it
supports assign some special meaning to "|"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no